(************************************************************************)
(* ccstatus.sml                                                         *)
(*                                                                      *)
(* Description:                                                         *)
(*     The execution status of a task.                                  *)
(*                                                                      *)
(* Author:                                                              *)
(*     Evan Chang                                                       *)
(************************************************************************)

(* $Id: ccstatus.sml,v 1.1.1.1 2002/05/15 22:00:06 bechang_conductor Exp $ *)

structure CCStatus =
struct

    (* Task Status *)
    datatype status =
        Disabled
      | Failed
      | Finished
      | Running
      | Waiting

end; (* structure CCStatus *)
