(************************************************************************)
(* mergesort-sig.sml                                                    *)
(*                                                                      *)
(* Description:                                                         *)
(*    A interface for a mergesort routine for the ConCert simulator.    *)
(*                                                                      *)
(* Author:                                                              *)
(*    Evan Chang                                                        *)
(************************************************************************)

(* $Id: mergesort-sig.sml,v 1.1.1.1 2002/05/15 22:00:06 bechang_conductor Exp $ *)

signature MERGESORT =
sig

  type t

  (* mergesort b f l = l'

     Parameters:
       b - indicates whether to parallelize or not
           (true=parallelize|false=don't parallelize)
       f - failure parameter to the simulator (0.0 <= f < 1.0)
       l - list to sort
  *)
  val mergesort : bool -> real -> t list -> t list

end; (* signature MERGESORT *)
